Bug 323007 - No button to return after see "Information" module
Summary: No button to return after see "Information" module
Status: RESOLVED FIXED
Alias: None
Product: Pairs
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Kubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 15:33 UTC by Baltasar
Modified: 2013-07-31 14:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Pairs credits (230.72 KB, image/png)
2013-07-30 22:08 UTC, Aleix Pol
Details
Change (195.09 KB, image/png)
2013-07-31 09:51 UTC, Aleix Pol
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Baltasar 2013-07-30 15:33:18 UTC
If you want to see the Information of the developers, artists, etc. there's no button to return to the previous screen. 
You must click in the Information screen, and I think this is not very intuitive and should be better put a button to return to the game.



Reproducible: Always

Steps to Reproduce:
1. Start Pairs
2. Click on "Information" button
3. Click on "Credits" Screen
Comment 1 Aleix Pol 2013-07-30 22:08:57 UTC
Created attachment 81465 [details]
Pairs credits
Comment 2 Aleix Pol 2013-07-30 22:09:32 UTC
You mean that it's not obvious the "Go Back" thing?
Comment 3 Baltasar 2013-07-31 06:27:21 UTC
Correct. When I enter in this screen I get "lost"
Comment 4 Aleix Pol 2013-07-31 09:51:29 UTC
Created attachment 81476 [details]
Change

That's what I came up with, do you agree that this will solve your confusion?
Comment 5 Aleix Pol 2013-07-31 09:53:58 UTC
Git commit ac1043f5eea08a436ab0c7822802183c6cbec776 by Aleix Pol.
Committed on 31/07/2013 at 09:53.
Pushed by apol into branch 'master'.

Change how we go back from the credits page

Instead of the ugly go back button at the bottom, add a button in the
navigation box.
Additionally, hide the players list while showing the credits, it doesn't
help much and it unclutters the view.

M  +0    -7    game/qml/InfoPage.qml
M  +10   -1    game/qml/Main.qml

http://commits.kde.org/pairs/ac1043f5eea08a436ab0c7822802183c6cbec776
Comment 6 Marco Calignano 2013-07-31 14:00:18 UTC
Maybe later we can ask Abhash to make a cooler button but for now this is ok
Comment 7 Aleix Pol 2013-07-31 14:00:59 UTC
yes, I agree :)
Comment 8 Baltasar 2013-07-31 14:13:50 UTC
I'm agree too. Thanks.